﻿using HanyadikHetVan.DTO;
using HanyadikHetVan.Services;
using Microsoft.AspNetCore.Mvc;

namespace HanyadikHetVan.Controllers
{
    [ApiController]
    [Route("api/hanyadikhetvan")]
    public class HanyadikHetVanController : ControllerBase
    {

        private readonly HanyadikHetVanJsonService _jsonservice;
        private readonly HanyadikHetVanService _service;


        public HanyadikHetVanController(HanyadikHetVanJsonService jsonservice, HanyadikHetVanService service)
        {
            _jsonservice = jsonservice;
            _service = service;
        }

        [HttpGet]
        [Consumes("application/json")]
        public HanyadikHetVanDTO GetJson()
        {
            return _jsonservice.HanyadikHetVan();
        }

        [HttpGet]
        public int Get()
        {
            return _service.HanyadikHetVan();
        }
    }
}
